<?php

/**************************************************************************
**  (c) Copyright 2003, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : log.php
**      SYSTEM NAME    : Gnucomo - Gnu Computer Monitoring
**      VERSION NUMBER : $Revision: 1.3 $
**
**  DESCRIPTION      : Logs page
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Dec 04, 2002
**      LAST UPDATE     : Feb 16, 2003
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: log.php,v $
   Revision 1.3  2003/02/21 08:50:12  arjen
   Database optimizations.

   Revision 1.2  2003/02/13 09:01:29  arjen
   All web interface pages use the page class.

   Revision 1.2  2003/02/05 09:48:14  arjen
   Added display and handling of notifications

******************************/

// RCSID = "$Id: log.php,v 1.3 2003/02/21 08:50:12 arjen Exp $";

ini_set('include_path', '.:./classes:../phpclasses');

require_once('page.class.php');


class log_page extends page
{

   function Body()
   {
      if (!empty($_GET['oid']))
      {
         $res = pg_exec($this->database, "SELECT objectname FROM object WHERE objectid=CAST'" . $_GET['oid']. "' AS BIGINT)");
         $obj = pg_fetch_object($res, 0);
         echo "<h1>Log for " . $obj->objectname . "</h1><hr>";

         $res = pg_exec($this->database, "SELECT object_timestamp, servicecode, rawdata FROM log "
                        ."WHERE objectid = CAST('" . $_GET['oid'] . "' AS BIGINT) ");

         echo "<table>";
         $row = 0;
         while ($row < pg_numrows($res))
         {
            $log = pg_fetch_object($res, $row);
            ?>
            <tr><td class='time'>
               <?php echo $log->object_timestamp?>
            </td><td>
               <?php echo $log->servicecode?>
            </td><td>
               <?php echo $log->rawdata?>
            </td></tr>
            <?php
            $row++;
         }
         echo "</table>";
      }
   }
}

$page = new log_page("Gnucomo system logs");

$page->Showpage();

?>
